
package de.ivu.elect.presentation.staat.exchange;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.staat.boundary.StaatenGruppeImporter;
import de.ivu.elect.business.staat.control.StaatenGruppeImportContext;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.exchange.AbstractImportFormatFestlegenView;
import de.ivu.elect.presentation.exchange.ImportDescription;

@Named(StaatenGruppeImportFormatFestlegenView.COMPONENT_NAME)
@View(viewId = StaatenGruppeImportFormatFestlegenView.VIEW_ID, useCase = UseCasePermission.STAATEN_GRUPPE_IMPORTIEREN)
public class StaatenGruppeImportFormatFestlegenView extends AbstractImportFormatFestlegenView<StaatenGruppeImportContext> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "staatenGruppeImportFormatFestlegenView";

  public static final String VIEW_ID = "/staat/staaten-gruppe-import-format-festlegen.xhtml";

  @Inject
  private StaatenGruppeImportDescription staatenGruppeImportDescription;

  @Inject
  private StaatenGruppeImporter staatenGruppeImporter;

  public StaatenGruppeImportFormatFestlegenView() {
    super();
  }

  @Override
  protected ImportDescription getImportDescription() {
    return staatenGruppeImportDescription;
  }

  @Override
  protected StaatenGruppeImporter getImporter() {
    return staatenGruppeImporter;
  }

  @Override
  protected StaatenGruppeImportContext getContext() {
    if (isWahlSelected()) {
      return new StaatenGruppeImportContext(getSelectedWahl());
    }

    return new StaatenGruppeImportContext(getSelectedWahltermin());
  }
}
